_

Odczytywanie rzędnej Z obiektów z odnośnika xref

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

Odczytywanie rzędnej Z obiektów z odnośnika xref

Postprzez 88marcin » lis 06, 2019 17:00

Witam,

czy jest takie narzędzie (lisp), które odczytywałoby rzedną Z obiektu po kliknięciu na niego, ale ten obiekt jest w odnośniku xref.

Ew. może dałoby się to jakoś zrobić modyfikację tego narzędzia przytoczonego do wyłączania warstw w xref?:

sposob-do-szybkiego-pokazywania-warstwy-obiektu-w-odno-niku-t111591.html
88marcin
 
Posty: 92
Dołączył(a): mar 22, 2016 12:08

Re: Odczytywanie rzędnej Z obiektów z odnośnika xref

Postprzez andkal » lis 09, 2019 00:17

Tu jest taki lisp do wyłączania zagnieżdżonych warstw:
http://cadtips.cadalyst.com/layer-prope ... urn-layers

Co do rzędnej Z to gdybym napotkał taki problem, kierowałbym się w stronę skorzystania z informacji dostarczanych przez (nentsel) i ewentualnego ich przekształcenia.
andkal
 
Posty: 50
Dołączył(a): paź 01, 2017 22:10

Re: Odczytywanie rzędnej Z obiektów z odnośnika xref

Postprzez ziele_o2k » lis 09, 2019 12:11

Tutaj przekładowy lisp do kopiowania elementów z odnośnika (potrzebne mi to było do kopiowania polilini z xrefów).
Jedyny raz kiedy użyłem funkcji nentselp.
Kod: Zaznacz cały
(defun c:copy_nested (/ e el)
  (while (and
      (setq e (nentselp "\n??????: "))
      (= (length e) 4)
    )
    (setq el (entget (car e)))
    (entmake el)
    (vla-transformby (vlax-ename->vla-object (entlast))
           (vlax-tmatrix (caddr e))
    )   
  )
  (princ)
)
(princ)
Po najmniejszej linii oporu możesz z takiego elementu skopiowanego z xrefa pobrać potrzebne współrzędne, a następnie go usunąć.

Innym rozwiązaniem jest użycie nenselp do (1) pobrania współrzędnych, które chcemy poznać (2) macierzy transformacji i wykonanie transformacji na współrzędnych.
Do transformacji możesz używać funkcji ze strony Lee Maca -> LM:ApplyMatrixTransformation
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 785
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: Odczytywanie rzędnej Z obiektów z odnośnika xref

Postprzez andkal » lis 09, 2019 13:54

do wyciągnięcia zagnieżdżonych obiektów można też użyć autocadowej komendy NCOPY
andkal
 
Posty: 50
Dołączył(a): paź 01, 2017 22:10


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Majestic-12 [Bot], MarCho